//
//  BLEManager.h
//  BIMInput
//
//  Created by 攸 on 16/12/5.
//  Copyright © 2016年 com.jun. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreBluetooth/CoreBluetooth.h>

@protocol BLEManagerDelegate <NSObject>
@required
- (void)connectPeripheralSuccess :(BOOL)state;
- (void)connectToPeripheralFailed:(BOOL)state;
- (void)disconnectPeripheral:(BOOL)state;
- (void)reciveDataFromPeripheral :(NSData *)data;
@end

@interface BLEmanager : NSObject<CBCentralManagerDelegate,CBPeripheralDelegate>
{
    CBCentralManager *_m_manager;
    
    CBPeripheral     *_m_peripheral;
    
    NSMutableArray   *m_array_peripheral;
}

+(BLEmanager *)shareInstance;               // 单例模式

@property(nonatomic, copy)    NSMutableArray    *m_array_peripheral;
@property(nonatomic,strong)   CBCentralManager  *m_manager;
@property(nonatomic,strong)   CBPeripheral      *m_peripheral;
@property(nonatomic,strong)   CBCharacteristic  *writeCharacteristic;
@property(nonatomic,strong)   id<BLEManagerDelegate> managerDelegate;

-(void)initCentralManger;                   // 初始化蓝牙

@end
