//
//  SGPopSelectView.h
//  SGPopSelectView
//
//  Created by Sagi on 14-10-28.
//  Copyright (c) 2014年 azurelab. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef void (^PopViewSelectedHandle) (NSInteger selectedIndex);

@interface SGPopSelectView : UIView
@property (nonatomic, strong) NSArray *selections;
@property (nonatomic, copy) PopViewSelectedHandle selectedHandle;
@property (nonatomic, readonly) BOOL visible;

+(SGPopSelectView *)shareInstance;               // 单例模式

- (instancetype)init;
- (void)showFromView:(UIView*)view title:(NSString *)title animated:(BOOL)animated selectedNum:(NSInteger)number;
- (void)hide:(BOOL)animated;
@end
